| Version: 3.2.8

Public Member Functions | List of all members
wxHtmlWordWithTabsCell Class Reference
Class List by Category » HTML

`#include <wx/html/htmlcell.h>`

Inheritance diagram for wxHtmlWordWithTabsCell:
[legend]

## Detailed Description

wxHtmlWordCell is a specialization for storing text fragments with embedded tab characters.

##

Library: wxHTML
Category: HTML

## Public Member Functions
| wxHtmlWordWithTabsCell (const wxString &word, const wxString &wordOrig, size_t linepos, const wxDC &dc)
Public Member Functions inherited from wxHtmlWordCell
| wxHtmlWordCell (const wxString &word, const wxDC &dc)
Public Member Functions inherited from wxHtmlCell
| wxHtmlCell ()
| Constructor. More...
virtual bool | AdjustPagebreak (int *pagebreak, int pageHeight) const
| This method is called when paginating HTML, e.g. when printing. More...
virtual void | Draw (wxDC &dc, int x, int y, int view_y1, int view_y2, wxHtmlRenderingInfo &info)
| Renders the cell. More...
virtual void | DrawInvisible (wxDC &dc, int x, int y, wxHtmlRenderingInfo &info)
| This method is called instead of Draw() when the cell is certainly out of the screen (and thus invisible). More...
virtual const wxHtmlCell * | Find (int condition, const void *param) const
| Returns pointer to itself if this cell matches condition (or if any of the cells following in the list matches), NULL otherwise. More...
virtual wxHtmlCell * | FindCellByPos (wxCoord x, wxCoord y, unsigned flags=wxHTML_FIND_EXACT) const
| Find a cell inside this cell positioned at the given coordinates (relative to this's positions). More...
int | GetDescent () const
| Returns descent value of the cell (m_Descent member). More...
virtual wxHtmlCell * | GetFirstChild () const
| Returns pointer to the first cell in the list. More...
int | GetHeight () const
| Returns height of the cell (m_Height member). More...
const wxString & | GetId () const
| Returns unique cell identifier if there is any, the empty string otherwise. More...
virtual wxHtmlLinkInfo * | GetLink (int x=0, int y=0) const
| Returns hypertext link if associated with this cell or NULL otherwise. More...
virtual wxCursor | GetMouseCursor (wxHtmlWindowInterface *window) const
| Returns cursor to show when mouse pointer is over the cell. More...
virtual wxCursor | GetMouseCursorAt (wxHtmlWindowInterface *window, const wxPoint &rePos) const
| Returns cursor to show when mouse pointer is over the specified point. More...
wxHtmlCell * | GetNext () const
| Returns pointer to the next cell in list (see htmlcell.h if you're interested in details). More...
wxHtmlContainerCell * | GetParent () const
| Returns pointer to parent container. More...
int | GetPosX () const
| Returns X position within parent (the value is relative to parent's upper left corner). More...
int | GetPosY () const
| Returns Y position within parent (the value is relative to parent's upper left corner). More...
int | GetWidth () const
| Returns width of the cell (m_Width member). More...
virtual void | Layout (int w)
| Layouts the cell. More...
virtual bool | ProcessMouseClick (wxHtmlWindowInterface *window, const wxPoint &pos, const wxMouseEvent &event)
| This function is simple event handler. More...
void | SetId (const wxString &id)
| Sets unique cell identifier. More...
void | SetLink (const wxHtmlLinkInfo &link)
| Sets the hypertext link associated with this cell. More...
void | SetNext (wxHtmlCell *cell)
| Sets the next cell in the list. More...
void | SetParent (wxHtmlContainerCell *p)
| Sets parent container of this cell. More...
virtual void | SetPos (int x, int y)
| Sets the cell's position within parent container. More...
virtual wxString | ConvertToText (wxHtmlSelection *sel) const
| Converts the cell into text representation. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxHtmlWordWithTabsCell()

wxHtmlWordWithTabsCell::wxHtmlWordWithTabsCell | ( | const wxString & | word,
|  | const wxString & | wordOrig,
|  | size_t | linepos,
|  | const wxDC & | dc
| ) |  |